#include "TFile.h"
#include "TTree.h"
#include "Event.hh"

void func()
{
  Event *e = Event::GetInstance();
  for (int i = 0; i < 100; ++i) {
    e->SetEventNo(i);
    e->SetPID(i);
    e->SetEDep(i*0.1);
    e->SetVoxelID(i, i+1, i+2);
    e->SetPos(i/0.1, i/0.2, i/0.3);
    FillTree("tree");
  }
}  

int main()
{
  TFile *f = new TFile("test.root", "recreate");
  TTree *t = new TTree("tree", "test_tree");
  Event *e = new Event(true);
  t->Branch("test_branch", &e);

  func();

  f->Write();
  f->Close();

  return 0;
}
